<?php
require_once 'db.php';
require_once'verify_token.php';

if (!verifyToken($_GET['token'])) {
    die(json_encode(array("success" => false, "message" => "令牌验证失败")));
}

$userId = getUserIdByToken($_GET['token']);
$sql = "SELECT m.content, u.username FROM messages m JOIN users u ON m.sender_id = u.id";
$result = $conn->query($sql);

$messages = [];
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $messages[] = array("sender" => $row['username'], "content" => $row['content']);
    }
}
echo json_encode(array("success" => true, "messages" => $messages));

$conn->close();
